/* Copyright (c) 1997, MpegTV LLC */
#ifndef _pmp_unix_h
#define _pmp_unix_h
#ifndef lint
static const char rcsid_pmp_unix_h[] = "$Header: /net/hopkins/home/tristan/mpeg/dec/RCS/pmp.h,v 1.34 1999/05/21 03:50:27 tristan Exp tristan $";
#endif

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

#include "misc.h"
#include "xfile.h"

/*--------------------------------------------------------------------------+
| Externals																	|
+--------------------------------------------------------------------------*/
#ifdef __cplusplus
extern "C" {
#endif

extern XFILE_PIPE_HANDLE pmp_get_receive_channel_fd(MTVP_PMP_STRUCT *pmp);
extern void pmp_close_unused_fds_after_fork(MTVP_PMP_STRUCT *pmp);

#ifndef MTVP_THREAD
extern int pmp_set_fds(MTVP_PMP_STRUCT *pmp, const int fd[6]);
extern int pmp_get_fds(const MTVP_PMP_STRUCT *pmp, int fd[6]);
#endif

#ifdef __cplusplus
}
#endif


#endif /* _pmp_unix_h */
